Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote
Interface ProtocolHandler

All Known Implementing Classes:
  Http11Protocol, JkCoyoteHandler, MemoryProtocolHandler

public interface ProtocolHandler

Abstract the protocol implementation, including threading, etc. Processor is single threaded and specific to stream-based protocols, will not fit Jk protocols like JNI.

Author:
  Remy Maucherat, Costin Manolache

Method Summary
`void` | `destroy()`
`Adapter` | `getAdapter()`
`java.lang.Object` | `getAttribute(java.lang.String name)`
`void` | `init()` Init the protocol.
`void` | `pause()` Pause the protocol (optional).
`void` | `resume()` Resume the protocol (optional).
`void` | `setAdapter(Adapter adapter)` The adapter, used to call the connector.
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Pass config info.
`void` | `start()` Start the protocol.

Method Detail

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Pass config info.

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

### setAdapter

    public void setAdapter(Adapter adapter)

  The adapter, used to call the connector.

### getAdapter

    public Adapter getAdapter()

### init

    public void init()
              throws java.lang.Exception

  Init the protocol.

  Throws:
    `java.lang.Exception`

### start

    public void start()
               throws java.lang.Exception

  Start the protocol.

  Throws:
    `java.lang.Exception`

### pause

    public void pause()
               throws java.lang.Exception

  Pause the protocol (optional).

  Throws:
    `java.lang.Exception`

### resume

    public void resume()
                throws java.lang.Exception

  Resume the protocol (optional).

  Throws:
    `java.lang.Exception`

### destroy

    public void destroy()
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.